package kr.iotdoor.boot.model.portfolio;

import java.time.LocalDateTime;

public class PortfolioItem {

    private String portfolioIdntfNo;
    private String title;
    private String summary;
    private String imageUrl;
    private String content;
    private String thumbnailAtchFileIdntfNo;
    private int thumbnailFileSn;
    private LocalDateTime registeredAt;
    private long viewCount;
    private String registeredByUserIdntfNo;
    private String registeredByName;
    private String delYn;
    private LocalDateTime updatedAt;

    public String getPortfolioIdntfNo() {
        return portfolioIdntfNo;
    }

    public void setPortfolioIdntfNo(String portfolioIdntfNo) {
        this.portfolioIdntfNo = portfolioIdntfNo;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getThumbnailAtchFileIdntfNo() {
        return thumbnailAtchFileIdntfNo;
    }

    public void setThumbnailAtchFileIdntfNo(String thumbnailAtchFileIdntfNo) {
        this.thumbnailAtchFileIdntfNo = thumbnailAtchFileIdntfNo;
    }

    public int getThumbnailFileSn() {
        return thumbnailFileSn;
    }

    public void setThumbnailFileSn(int thumbnailFileSn) {
        this.thumbnailFileSn = thumbnailFileSn;
    }

    public LocalDateTime getRegisteredAt() {
        return registeredAt;
    }

    public void setRegisteredAt(LocalDateTime registeredAt) {
        this.registeredAt = registeredAt;
    }

    public long getViewCount() {
        return viewCount;
    }

    public void setViewCount(long viewCount) {
        this.viewCount = viewCount;
    }

    public String getRegisteredByUserIdntfNo() {
        return registeredByUserIdntfNo;
    }

    public void setRegisteredByUserIdntfNo(String registeredByUserIdntfNo) {
        this.registeredByUserIdntfNo = registeredByUserIdntfNo;
    }

    public String getRegisteredByName() {
        return registeredByName;
    }

    public void setRegisteredByName(String registeredByName) {
        this.registeredByName = registeredByName;
    }

    public String getDelYn() {
        return delYn;
    }

    public void setDelYn(String delYn) {
        this.delYn = delYn;
    }

    public LocalDateTime getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(LocalDateTime updatedAt) {
        this.updatedAt = updatedAt;
    }
}
